"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.requestJAR = requestJAR;
var _x = _interopRequireDefault(require("x"));
var _cliArgsToObject = require("../utils/cliArgsToObject");
var _logger = require("../utils/logger");
var _fs = _interopRequireDefault(require("fs"));
var _path = _interopRequireDefault(require("path"));
var _child_process = require("child_process");
var _rootPath = require("../utils/rootPath");
async function requestJAR(cliParams, options = {}) {
  const {
    pat,
    requestUrl
  } = (0, _cliArgsToObject.cliArgsToObject)(cliParams);
  const endpoint = requestUrl || 'https://zgit.csez.zohocorpin.com/zohodesk/zohodesk/-/raw/master/sonardependencies/lib/sonar-scanner-cli-4.8.0.2856.jar?inline=false';
  const body = {
    method: 'GET',
    headers: {
      'Content-Type': 'application/java-archive',
      'PRIVATE-TOKEN': `${pat}`
    }
  };
  _logger.Logger.log(_logger.Logger.INFO_TYPE, `Cloning jar ${(0, _rootPath.getSonarJarPath)()}`);
  if (!pat) {
    _logger.Logger.log(_logger.Logger.FAILURE_TYPE, `PAT token  is Needed ..`);
    process.exit(0);
  }
  return await new Promise(resolve => {
    const jarAPI = _x.default.request(endpoint, body, response => {
      var responseChunk = '';
      const fileStream = _fs.default.createWriteStream((0, _rootPath.getSonarJarPath)());
      response.on('data', data => {
        responseChunk += data;
      });
      response.pipe(fileStream);
      fileStream.on('finish', finish => {
        fileStream.close();
      });
      response.on('error', error => {
        _logger.Logger.log(_logger.Logger.FAILURE_TYPE, `Error - ${error}`);
      });
      response.on('end', end => {
        // at end
        resolve({
          path: (0, _rootPath.getSonarJarPath)()
        });
      });
    });
    jarAPI.end();
  });
}