"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSonarJarPath = getSonarJarPath;
var _path = _interopRequireDefault(require("path"));
var _logger = require("./logger.js");
var _fileUtils = require("./fileUtils");
/**
 * @function getSonarJarPath -  check and return sonar jar path
 * @returns {string}
 */

function getSonarJarPath() {
  const jarPath = _path.default.resolve(__dirname, "..", "core", "sonar-dependencies", "java-jar", "sonar-scanner.jar");
  if ((0, _fileUtils.checkIfFileExists)(jarPath)) {
    return jarPath;
  }
  _logger.Logger.log(_logger.Logger.FAILURE_TYPE, "Cannot find -  Java-Jar");
  process.exit(0);
}